kind: ServiceAccount
apiVersion: v1
metadata:
  name: xdc-controller
---
kind: ClusterRole
apiVersion: rbac.authorization.k8s.io/v1beta1
metadata:
  namespace: xdc
  name: xdc-pvc-controller
rules:
  - apiGroups: [""]
    resources: ["persistentvolumeclaims"]
    verbs: ["get", "list", "create", "delete"]
---
kind: ClusterRoleBinding
apiVersion: rbac.authorization.k8s.io/v1beta1
metadata:
  name: xdc-pvc-controller-binding
subjects:
  - kind: ServiceAccount
    name: xdc-controller
    namespace: default
roleRef:
  kind: ClusterRole
  name: xdc-pvc-controller
  apiGroup: rbac.authorization.k8s.io
---
kind: ClusterRole
apiVersion: rbac.authorization.k8s.io/v1beta1
metadata:
  namespace: xdc
  name: xdc-deployment-controller
rules:
  - apiGroups: ["extensions"]
    resources: ["deployments"]
    verbs: ["get", "list", "create", "delete", "deletecollection"]
  - apiGroups: [""]
    resources: ["pods", "services", "configmaps"]
    verbs: ["get", "list", "create", "delete"]
---
kind: ClusterRoleBinding
apiVersion: rbac.authorization.k8s.io/v1beta1
metadata:
  name: xdc-deployment-controller-binding
subjects:
  - kind: ServiceAccount
    name: xdc-controller
    namespace: default
roleRef:
  kind: ClusterRole
  name: xdc-deployment-controller
  apiGroup: rbac.authorization.k8s.io
